
From: Anton Blanchard <anton@samba.org>

Replace do_exit() in 64bit signal code with force_sig/force_sigsegv where
appropriate.

Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/signal.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff -puN arch/ppc64/kernel/signal.c~ppc64-force_sigsegv-fixes arch/ppc64/kernel/signal.c
--- 25/arch/ppc64/kernel/signal.c~ppc64-force_sigsegv-fixes	Tue Sep 14 15:45:08 2004
+++ 25-akpm/arch/ppc64/kernel/signal.c	Tue Sep 14 15:45:08 2004
@@ -371,7 +371,8 @@ badframe:
 	printk("badframe in sys_rt_sigreturn, regs=%p uc=%p &uc->uc_mcontext=%p\n",
 	       regs, uc, &uc->uc_mcontext);
 #endif
-	do_exit(SIGSEGV);
+	force_sig(SIGSEGV, current);
+	return 0;
 }
 
 static void setup_rt_frame(int signr, struct k_sigaction *ka, siginfo_t *info,
@@ -446,7 +447,7 @@ badframe:
 	printk("badframe in setup_rt_frame, regs=%p frame=%p newsp=%lx\n",
 	       regs, frame, newsp);
 #endif
-	do_exit(SIGSEGV);
+	force_sigsegv(signr, current);
 }
 
 
_
